Bug 213067 - SDC configuration Subscribe to Channels page shows channels already subscribed to
Summary: SDC configuration Subscribe to Channels page shows channels already subscribe...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site   
(Show other bugs)
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Partha Aji
QA Contact: Beth Nackashi
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhn500h-config-mgmt
TreeView+ depends on / blocked
 
Reported: 2006-10-30 18:43 UTC by Ken Ganong
Modified: 2007-04-18 17:52 UTC (History)
1 user (show)

Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 03:06:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Ganong 2006-10-30 18:43:09 UTC
Go to System -> select a system -> Configuration (middle nav) -> Manage
Configuration Channels -> Subscribe to Channels

There are a bunch of small problems with this page that would be solved by what
I consider a bigger problem. This page shows channels that the system is already
subscribed to.  Why?  The List/Unsubscribe page already does that.

Other Problems:
1. The text on this page badly needs updating.
2. Sometimes when I go to this page, I magically get some things selected that
don't appear in the list. I've been able to reproduce this on my machine by
going back and forth between this page and the View/Modify Rankings page. Every
other time I visit this page, I see (4 selected) in the right corners of the list.

Comment 1 Máirín Duffy 2007-02-08 20:10:59 UTC
gah! the subscribe tab should only show channels that the system is *not*
subscribed to, and have a button to subscribe you to them.

the list/unsubscribe tab should only show channels the system *is* subscribed
to, and have a button to unsubscribe you from them.

this follows the same action/tab model as sdc package installations

Comment 2 Partha Aji 2007-02-08 21:11:59 UTC
This bug has been resolved according to Ms Duffy's spec in comment 1...

"magically get some things selected that don't appear in the list." has also
been resolved.. The submit side of this page was querying for the wrong thing
causing things to magically appear.. This behavior should now be sorted out...

Comment 3 Partha Aji 2007-02-15 22:16:51 UTC
Moving to ON_QA

Comment 4 Partha Aji 2007-02-15 22:18:45 UTC
Moving to ON_QA

Comment 5 Beth Nackashi 2007-02-16 21:28:27 UTC
Verified on webtest.

Comment 6 Brandon Perkins 2007-03-13 03:06:17 UTC
Closed in the rhn500h Release.


Note You need to log in before you can comment on or make changes to this bug.